Bug 238209 - ATI Mobility FireGL V5250 not supported
ATI Mobility FireGL V5250 not supported
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vesa (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2007-04-27 19:42 EDT by Werner Kuballa
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-19 09:54:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/Xorg.0.log (97.16 KB, text/plain)
2007-05-04 18:37 EDT, Werner Kuballa
no flags Details

  None (edit)
Description Werner Kuballa 2007-04-27 19:42:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20060911 SUSE/ Firefox/

Description of problem:
Unable to use a graphical screen.

The F7T4 graphic installer hangs with a blue screen; the installation is only possible with the text interface.

lspci returns: 01:00.0 VGA compatible controller: ATI Technologies Inc M56GL [Mobility FireGL V5250]

When using 'Driver "ati"' in xorg.conf startx terminates with "(EE) No devices detected".
When using 'Driver "vesa"' in xorg.conf startx terminates with "AIGLX: Screen 0 is not DRI capable"

The system is an IBM/Lenovo Thinkpad T60p.

Version-Release number of selected component (if applicable):
Fedora 7 Test 4

How reproducible:

Steps to Reproduce:
1. during installation of F7T4 for x86_64

Actual Results:

Expected Results:

Additional info:
Comment 1 Adam Jackson 2007-05-03 18:18:23 EDT
> When using 'Driver "vesa"' in xorg.conf startx terminates with "AIGLX: Screen
0 is not DRI capable"

That message isn't fatal.  Please attach the /var/log/Xorg.0.log from the failed
Comment 2 Werner Kuballa 2007-05-04 18:37:47 EDT
Created attachment 154183 [details]

The log file as requested.
Comment 3 Adam Jackson 2007-08-14 14:30:23 EDT
That appears to be a successful startup, and the ati driver definitely doesn't
support R500 cards so it's not expected to work.

Presumably your X session is dying for some other reason?
Comment 4 Adam Jackson 2007-09-19 09:54:57 EDT
There have been no updates to this bug in over a month.  Your X session appears
to be dying sometime after X is started.  You can verify this by running

X :0

from runlevel 3 and verifying that the X server stays up on its own.  (Press
Control-Alt-Backspace to terminate it.)  If this is still an issue for you, you
will need to track down where in the X startup process the session is failing
before we can work this bug any further.

Note You need to log in before you can comment on or make changes to this bug.